<div class="float-left col-lg-12 col-md-12 col-sm-12 col-12 p-0 mt-1" style="height: auto;" >

    <div class="brl w-100 p-2">
        <div class="brl w-100 top">
            
            <div class="brl">
                <form (submit)="$event.preventDefault()">
                    <mat-form-field appearance="fill">
                        <mat-label>Cerca</mat-label>
                        <input  
                            matInput type="text fs15"
                            name="searchText"
                            (keyup)="filterResults()"
                        >
                    </mat-form-field>
                </form>
            </div>

        </div>


        <div class="brl table">
            <div *ngIf="alarms else loading">
                <alarm-list 
                    *ngIf="alarms" 
                    [data]="alarms" 
                    [filter]="search"
                    (result)="getDetails($event)"
                    (result2)="getAlarms()"
                    >
                </alarm-list>
            </div>
    
            <ng-template #loading>
                <div class="empty">
                    <div class="text fs18">
                        Download Allarmi
                    </div>
                    <div class="nj-spinner nj-spinner--sm ml-1" role="status"></div>

                </div>
            </ng-template>
        </div>
    </div>

</div>